Unable to find way to install pxc 8.0.25-1 on ubuntu 20.04 from downloaded package from this link https://www.percona.com/downloads/Percona-XtraDB-Cluster-80/LATEST/

please suggest me how to install i have tried varius ways to install 8.0.25-1 but im failed please suggest me im new to install this pxc version 8.0.25-1, but when i install from latest release link it will install 8.0.26-1 but i want to install 8.0.25-1

1 Like

i have downloaded package " Percona-XtraDB-Cluster-8.0.25-r8638bb0-focal-x86_64-bundle_2.tar " but unable to install please suggest how to install, when i extract this tar file 8 to 10 file extracted with .deb extension file and after that i tried with dpkg -i to install these packages but unable to install some dependency errors facing

1 Like

Hello, I suggest you install Percona Repository first, then install via apt directly. Here are the steps: Installing Percona XtraDB Cluster on Debian or Ubuntu

1 Like

Dear igroene
thanks for your reply but i tried this repository install the mysql 8.0.26-1 so how can i install percona xtradb cluster with 8.0.25-1 version

kindly mention the steps here to install from downloaded .tar file of mysql version 8.0.25-1 so i can install easy with downloaded file

1 Like

You can force a specific version after you install the Percona repo as follows:

  1. first list the available versions:
apt-cache madison percona-xtradb-cluster-server
  1. then install the desired one:
apt install percona-xtradb-cluster-server=1:8.0.25-15-1.focal percona-xtradb-cluster-common=1:8.0.25-15-1.focal percona-xtradb-cluster-client=1:8.0.25-15-1.focal

I suggest to do it this way instead of the tarball. It will be easier to manage.

1 Like

Dear igroene,

Thanks alot its working,

1 Like